%define upstream_name    DBIx-Inline
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Methods for searching and altering tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(SQL::Abstract::More)
BuildRequires: perl(Test::Lite)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(Sub::Mage)
BuildArch:  noarch

%description
This module is yet another interface to DBI. I like how the DBIx::Class
manpage works, separating the results from the resultsets, the resultsets
from the results and the schema from everything else. It's tidy, easy to
follow and works a treat. I also like how you can "reuse" queries in
resultsets and results without typing them out again and again. However,
when I wanted to work on a small project I found DBIx::Class a little slow
and didn't want to keep setting up the classes for it to work. DBIx::Inline
attempts follow the way DBIx::Class does things, but more "inline". You
still get the reusable queries, Results and ResultSets, but without all the
classes to setup. You do lose a lot of functionality that you get with
DBIx::Class, but that's not what DBIx::Inline is really about. I wanted it
to be faster and not hold your hand with everything, yet still be easy
enough to use. It's still possible to have accessors and Result/ResulSet
methods, but they are created on-the-fly with *method*. Also, you can
automatically create all accessors for a result using *load_accessors*.
DBIx::Inline is great for small projects that do not require a lot of
customisation, but for anything else I'd highly recommend *DBIx::Class*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-4.mga4
+ Revision: 510479
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-3.mga3
+ Revision: 365147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.190.0-2.mga3
+ Revision: 335938
- Add missing BuildRequires (for test)

* Tue Dec 13 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 181365
- Add a BR on Module::Install
- update to 0.19

* Tue Dec 06 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 177835
- Add a missing BR on Module::Install
- update to 0.18

* Tue Dec 06 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 177282
- Fix one BR
- add a BR on Net::SSLeay
- update to 0.17

* Sun Dec 04 2011 kharec <kharec> 0.160.0-1.mga2
+ Revision: 176032
- Add BR on Module::Install
- imported package perl-DBIx-Inline


* Sun Dec 04 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
